import { Store, StoreEnhancer, StoreEnhancerStoreCreator } from 'redux';
import { Injector, ModuleWithProviders } from '@angular/core';
import { ReduxReducerProvider } from './providers/redux-reducer.provider';
import { ReduxStateDefinition } from './interfaces/redux-state-definition.interface';
import { ReduxModuleChildConfig } from './interfaces/redux-child-module-config.interface';
import { ReduxModuleRootConfig } from './interfaces/redux-root-module-config.interface';
export declare class ReduxModule {
    constructor(injector: Injector, reducer: ReduxReducerProvider, stateDefs?: ReduxStateDefinition[]);
    static forChild<S = {}>(config?: ReduxModuleChildConfig<S>): ModuleWithProviders;
    static forRoot<S = {}>(config?: ReduxModuleRootConfig<S>): ModuleWithProviders;
    static defaultStoreFactory(reducer: ReduxReducerProvider, devMode?: boolean): Store<{}>;
    static defaultEnhancerFactory(devMode: boolean): StoreEnhancer<{}>;
    static noopEnhancer(next: StoreEnhancerStoreCreator<{}>): StoreEnhancerStoreCreator<{}>;
}
